"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSpikesHtml = void 0;
const getOpenSpikes_1 = require("../report/getOpenSpikes");
const getSpikesHtml = (initiativeIssue, userConfig) => {
    const openSpikes = (0, getOpenSpikes_1.getOpenSpikes)(initiativeIssue);
    let openSpikesMsg = '';
    if (openSpikes.length > 0) {
        openSpikesMsg = `<a href="${encodeURI(`${userConfig.jira.host}/issues/?jql=key in (${openSpikes.map((i) => i.key).join()})`)}">${openSpikes.length} Open spikes</a>`;
    }
    else {
        openSpikesMsg = `0 Open spikes`;
    }
    return `${openSpikesMsg}`;
};
exports.getSpikesHtml = getSpikesHtml;
