import { CompletionData, CompletionDay, JiraIssue } from '../../global';
export declare const getCompletionStreams: (completionData: CompletionData, completionWindowMonths: number) => {
    issues: {
        weeks: {
            issues: JiraIssue[];
            completed: {
                days: {
                    day: Date;
                    issues: JiraIssue[];
                }[];
                issues: JiraIssue[];
            };
            velocity: {
                days: CompletionDay[];
                issues: JiraIssue[];
            };
            metrics: {
                issues: {
                    count: number;
                    velocity: number;
                };
                points: {
                    count: number;
                    velocity: number;
                };
            };
            firstDay: Date;
        }[];
        key: string;
        issues: string[];
        children: string[];
    }[];
    days: {
        day: Date;
        issues: JiraIssue[];
    }[];
    weeks: {
        completed: {
            days: CompletionDay[];
            issues: JiraIssue[];
        };
        velocity: {
            days: CompletionDay[];
            issues: JiraIssue[];
        };
        metrics: {
            issues: {
                count: number;
                velocity: number;
            };
            points: {
                count: number;
                velocity: number;
            };
        };
        firstDay: Date;
        issues: Array<JiraIssue>;
    }[];
    name: string;
    key: string;
    jql: string;
    childIssues: import("../../global").IssueObjChild[];
    childOf: string;
}[];
